export function futureDateValidator(toDate) {
    return function (control) {
        if (!toDate)
            toDate = {
                value: new Date()
            };
        var result = null;
        if (control.value) {
            var comp1 = new Date(control.value); //.setHours (0, 0, 0, 0);
            var comp2 = new Date(toDate.value); //.setHours (0, 0, 0, 0);
            try {
                result = comp1 > comp2 ? { futureDate: true } : null;
            }
            catch (e) {
            }
            //comparing strings
            result = comp1.toString() === comp2.toString() ? null : result;
        }
        return result;
    };
}
//# sourceMappingURL=future-date.validator.js.map