import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { DatepickerModule } from 'ngx-bootstrap/datepicker';
import 'rxjs/Rx';
import { RlDatepickerPopupDirective } from './src/datepicker-popup.directive';
import { RlDatePickerInputComponent } from './src/datepicker-input.component';
import { RlDatePickerPopupComponent } from './src/datepicker-popup.component';
import { DatepickerValidatorDirective } from './src/datepicker.validator.directive';
export * from './src/datepicker-popup.directive';
export * from './src/datepicker-popup.component';
export * from './src/datepicker-input.component';
export * from './src/datepicker.validator.directive';
var RlDatePickerPopupModule = (function () {
    var RlDatePickerPopupModule = RlDatePickerPopupModule_1 = function RlDatePickerPopupModule() {
    };
    RlDatePickerPopupModule.forRoot = function () {
        return {
            ngModule: RlDatePickerPopupModule_1
        };
    };
    RlDatePickerPopupModule = RlDatePickerPopupModule_1 = __decorate([
        NgModule({
            imports: [
                CommonModule,
                FormsModule,
                DatepickerModule.forRoot()
            ],
            declarations: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
                DatepickerValidatorDirective
            ],
            exports: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
                DatepickerValidatorDirective
            ]
        })
    ], RlDatePickerPopupModule);
    return RlDatePickerPopupModule;
    var RlDatePickerPopupModule_1;
}());
export { RlDatePickerPopupModule };
//# sourceMappingURL=index.js.map