import { AbstractControl, ValidatorFn } from '@angular/forms';

export interface ItoDate {
  value: any;
}

export function pastDateValidator (toDate?: AbstractControl | ItoDate): ValidatorFn {
  return (control: AbstractControl): { [key: string]: any } => {

    if (!toDate) toDate = {
      value: new Date ()
    };

    let result = null;

    if (control.value) {

      const comp1 = new Date (control.value); //.setHours (0, 0, 0, 0);
      const comp2 = new Date (toDate.value); //.setHours (0, 0, 0, 0);
      

      try {
        result = comp1 < comp2 ? {pastDate: true} : null;
      } catch (e) {
      }

      //comparing strings
      result = comp1.toString () === comp2.toString () ? null : result;


    }

    return result;


  };
}
